# Copyright (c) 2019 ZettaDB inc. All rights reserved.
# This source code is licensed under Apache 2.0 License,
# combined with Common Clause Condition 1.0, as detailed in the NOTICE file.

[Base_Conf]
######################################
# write hb interval 
write_hb_interval = 10

# master db node unormal time
master_db_unormal_time = 20

# node mgr report mysql unalive, retry number
retry_mysql_unalive_num = 3

# node mgr hb lost time
nodemgr_hb_lost_time = 10

[Failover_Conf]
######################################
# consfailover maximum timeout 
consfailover_max_timeout = 100

# consfailover mysql read/write timeout
rw_timeout = 25

# consfailover mysql connect timeout
connect_timeout = 25

# max_connection
# value [on|off] default off
max_connection_sw = off

# huge_transaction
# value [on|off] default off
huge_transaction_sw = off

# innodb_block
# value [on|off] default off
innodb_block_sw = off
